<div class="dialog unserviced-stops-dialog">
  <div class="title">
    <h3>{{ 'UNSERVED_STOPS.TITLE' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" *ngIf="!isLoading">
    <div formArrayName="desserve">
      <div *ngFor="let h of formGroup.controls.desserve['controls']; let i = index; trackBy: trackByFn">
        <div [formGroupName]="i" class="grid-form">
          <geodesign-select formControlName="line" [options]="optionLines"
                            (ngModelChange)="getStopProx($event, i)"></geodesign-select>
          <geodesign-select [multiple]="true" [options]="optionsStops[i]" formControlName="stops"></geodesign-select>
          <button mat-raised-button (click)="removeLine(i)">Supprimer</button>
        </div>
      </div>
    </div>
    <a *ngIf="desserve.length < optionLines.length" (click)="addLine()">Ajouter une ligne</a>
    <div class="buttons">
      <geodesign-button styles="primary" type="submit">{{ 'FORM.VALIDATE' | translate }}</geodesign-button>
    </div>
  </form>
</div>
